<?
error_reporting(E_ALL);
ini_set('display_errors', 'On');
require_once 'api/nfephp/bootstrap.php';
require_once 'inc/connect.php';
require_once 'inc/messages.php';

use NFePHP\NFe\ToolsNFe;

$nfe = new ToolsNFe('api/nfephp/config/config.json');
$nfe->setModelo('55');

$chave = '';
$recibo= '';

if(isset($_GET['chave'])){
	$chave_crip = $_GET['chave'];
	$chave = base64_decode($chave_crip);
}

if(isset($_GET['id'])){
	$id_crip = $_GET['id'];
	$id = base64_decode($id_crip);
}

$tpAmb = '1';
$aResposta = array();

/* Consulta pela Danfe: */
if($chave!=""){
  echo "<br>CONSULTANDO PELO NUMERO DA DANFE";
  try{
	  	$xml = $nfe->sefazConsultaChave($chave, $tpAmb, $aResposta);	

	  	echo '</pre><br><pre>';
		print_r($aResposta);
		echo "<pre><br>";

		if(isset($aResposta['bStat'])){
			$cd_status_nfe = $aResposta['cStat'];
			$ds_status_nfe = $aResposta['xMotivo'];

			switch ($cd_status_nfe) {
				case '100':
					$id_status_xml_importado = '2';
					break;
				case '101':
					$id_status_xml_importado = '4';				
				default:
					$id_status_xml_importado = '';
					break;
			}

			$sql = "update erpc_documentos_entrada set cd_status_nfe='$cd_status_nfe', ds_status_nfe='$ds_status_nfe'";

			if($id_status_xml_importado!=''){
				$sql .= ", id_status_xml_importado='$id_status_xml_importado'";
			}
			$sql .= " where id = $id";

			echo "<br>$sql";

			$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);

        	$ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
			
			addMessage("Consulta de Validação da Danfe efetuada, consulte novamente a chave: $chave");

		}
	}catch (Exception $e) {
	    $msg_erro = "Houve um erro ao ler XML: " . $chave . " - " . $e -> getMessage() . "\n";
	    // addError($msg_erro);
	    addError($msg_erro);
	}
}

header("location:erpc_nfecode_importacao_painel.php");

?>
